//*----------------------------------------------------------------------------
// SPI.H
//*----------------------------------------------------------------------------
#ifndef __SPI_H
#define __SPI_H
//*----------------------------------------------------------------------------
#include "tools.h"
//*----------------------------------------------------------------------------
// MACROS
//*----------------------------------------------------------------------------
#define Spi_Busy()          while(!(SPSR & (1<<SPIF)))

#define LCD_CS      4     // PB4 (PIN5)	= Select  				->   	PIN 40 
#define SPI_SCK     7     // PB7 (PIN8)	= SPI SCK				->		PIN 37
#define SPI_MOSI    5     // PB5 (PIN6)	= SPI MOSI				->		PIN 36
#define SPI_MISO    6     // PB6 (PIN7)	= SPI MISO				-> 		
#define LCD_A0      2     // PB0 (PIN1)	= Display A0			->		PIN 38
#define LCD_RST     3     // PB1 (PIN2)	= Display Reset			->		PIN 39 




//*----------------------------------------------------------------------------
#define MEM_FLASH     0
#define MEM_RAM       1
#define MEM_EEPROM    2
//*----------------------------------------------------------------------------

//*----------------------------------------------------------------------------
// FUNKTIONS-PROTOTYPEN
//*----------------------------------------------------------------------------
void Port_Init(void);
void Spi_Init(void);
uint8_t   Spi_Io(uint8_t b);

//*----------------------------------------------------------------------------
#endif

